package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author wujunjie
 */
@ApiModel
public class OmsCnsConversionListVO {
    /**
     * 货主转换单号
     */
    @ApiModelProperty("货主转换单号")
    private String billno;

    /**
     * 仓库ID
     */
    @ApiModelProperty("仓库ID")
    private String branchid;

    /**
     * 仓库编号
     */
    @ApiModelProperty("仓库编号")
    private String branchcode;

    /**
     * 仓库名称
     */
    @ApiModelProperty("仓库名称")
    private String branchname;

    /**
     * 源货主ID
     */
    @ApiModelProperty("源货主ID")
    private String sourceconsignorid;

    /**
     * 源货主名称
     */
    @ApiModelProperty("源货主名称")
    private String sourceconsignorname;

    /**
     * 销售订单ID
     */
    @ApiModelProperty("销售订单ID")
    private String orderBillId;

    /**
     * 销售订单号
     */
    @ApiModelProperty("销售订单号")
    private String orderBillNo;

    /**
     * 目标货主ID
     */
    @ApiModelProperty("目标货主ID")
    private String targetconsignorid;

    /**
     * 目标货主名称
     */
    @ApiModelProperty("目标货主名称")
    private String targetconsignorname;

    /**
     * 采购单据ID
     */
    @ApiModelProperty("采购单据ID")
    private String poBillId;

    /**
     * 采购订单号
     */
    @ApiModelProperty("采购订单号")
    private String poBillNo;

    /**
     * 货主转换单日期
     */
    @ApiModelProperty("货主转换单日期")
    private Date billDate;

    public String getBillno() {
        return billno;
    }

    public void setBillno(String billno) {
        this.billno = billno;
    }

    public String getBranchid() {
        return branchid;
    }

    public void setBranchid(String branchid) {
        this.branchid = branchid;
    }

    public String getBranchcode() {
        return branchcode;
    }

    public void setBranchcode(String branchcode) {
        this.branchcode = branchcode;
    }

    public String getBranchname() {
        return branchname;
    }

    public void setBranchname(String branchname) {
        this.branchname = branchname;
    }

    public String getSourceconsignorid() {
        return sourceconsignorid;
    }

    public void setSourceconsignorid(String sourceconsignorid) {
        this.sourceconsignorid = sourceconsignorid;
    }

    public String getSourceconsignorname() {
        return sourceconsignorname;
    }

    public void setSourceconsignorname(String sourceconsignorname) {
        this.sourceconsignorname = sourceconsignorname;
    }

    public String getOrderBillId() {
        return orderBillId;
    }

    public void setOrderBillId(String orderBillId) {
        this.orderBillId = orderBillId;
    }

    public String getOrderBillNo() {
        return orderBillNo;
    }

    public void setOrderBillNo(String orderBillNo) {
        this.orderBillNo = orderBillNo;
    }

    public String getTargetconsignorid() {
        return targetconsignorid;
    }

    public void setTargetconsignorid(String targetconsignorid) {
        this.targetconsignorid = targetconsignorid;
    }

    public String getTargetconsignorname() {
        return targetconsignorname;
    }

    public void setTargetconsignorname(String targetconsignorname) {
        this.targetconsignorname = targetconsignorname;
    }

    public String getPoBillId() {
        return poBillId;
    }

    public void setPoBillId(String poBillId) {
        this.poBillId = poBillId;
    }

    public String getPoBillNo() {
        return poBillNo;
    }

    public void setPoBillNo(String poBillNo) {
        this.poBillNo = poBillNo;
    }

    public Date getBillDate() {
        return billDate;
    }

    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }
}
